# WARNING: This package is synced with FC
%global apiversion 0.1
%define fname odfgen
%define major 1
%define libname %mklibname %{fname} %{apiversion} %{major}
%define develname %mklibname -d %{fname} %{apiversion}

Name: libodfgen
Version: 0.1.8
Release: %mkrel 5
Summary: An ODF generator library

Group: System/Libraries
License: LGPLv2+ or MPLv2.0
URL: https://sourceforge.net/p/libwpd/wiki/libodfgen/
Source: https://downloads.sourceforge.net/libwpd/%{name}-%{version}.tar.xz
Patch0: includes.patch

BuildRequires: doxygen
BuildRequires: gcc-c++
BuildRequires: make
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(librevenge-stream-0.0)
BuildRequires: pkgconfig(libxml-2.0)

%description
%{name} is a library for generating ODF documents. It is directly
pluggable into input filters based on librevenge. It is used in
libreoffice or calligra, for example.

%package -n %{libname}
Summary: An ODF generator library
Group: System/Libraries
Obsoletes: %{_lib}odfgen1 < 0.1.6-3

%description -n %{libname}
%{name} is a library for generating ODF documents. It is directly
pluggable into input filters based on librevenge. It is used in
libreoffice or calligra, for example.

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}
Provides: %{fname}-devel = %{version}-%{release}
Provides: lib%{fname}-devel = %{version}-%{release}
Obsoletes: %{_lib}odfgen-devel < 0.1.6-3

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group:	Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%configure --disable-silent-rules --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

%files -n %{libname}
%doc README NEWS
%license COPYING.*
%{_libdir}/%{name}-%{apiversion}.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING.*
%doc docs/doxygen/html


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0.1.8-5.mga10
+ Revision: 2248323
- Mageia 10 Mass Rebuild

* Sun Mar 16 2025 wally <wally> 0.1.8-4.mga10
+ Revision: 2164911
- rebuild for libxml2 2.13.6

* Fri Mar 07 2025 tv <tv> 0.1.8-3.mga10
+ Revision: 2161780
- FTBFS

* Sat Mar 19 2022 umeabot <umeabot> 0.1.8-2.mga9
+ Revision: 1799851
- Mageia 9 Mass Rebuild

* Tue Jan 19 2021 tv <tv> 0.1.8-1.mga9
+ Revision: 1672483
- 0.1.8

* Thu Feb 13 2020 umeabot <umeabot> 0.1.7-3.mga8
+ Revision: 1514337
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.1.7-2.mga7
+ Revision: 1299060
- Mageia 7 Mass Rebuild

* Thu Aug 16 2018 tv <tv> 0.1.7-1.mga7
+ Revision: 1251981
- new release

* Tue Jan 30 2018 wally <wally> 0.1.6-3.mga7
+ Revision: 1198130
- add api to lib and devel pkg names

* Mon Sep 19 2016 tv <tv> 0.1.6-2.mga6
+ Revision: 1054273
- we install API docs directly from build
- use %%license
- tdf#patch 0: 101077 make double->string conversion locale-agnostic
- fix lib pkg summary
- drop dependency on boost
- fix license

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.1.6-1.mga6
+ Revision: 917784
- 0.1.6

* Fri Dec 25 2015 tv <tv> 0.1.5-2.mga6
+ Revision: 914723
- rebuild for new boost 1.60

* Fri Nov 27 2015 tv <tv> 0.1.5-1.mga6
+ Revision: 906460
- new release

* Wed Aug 26 2015 tv <tv> 0.1.4-2.mga6
+ Revision: 869857
- rebuild with gcc5

* Sun Jun 21 2015 tv <tv> 0.1.4-1.mga6
+ Revision: 837849
- new release
- new release
- fix URL

* Sun Feb 01 2015 tv <tv> 0.1.3-2.mga5
+ Revision: 812975
- submit to core/release

* Sat Jan 31 2015 tv <tv> 0.1.3-1.mga5
+ Revision: 812811
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-3.mga5
+ Revision: 746177
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-2.mga5
+ Revision: 681669
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 tv <tv> 0.1.1-1.mga5
+ Revision: 658636
- adjust file list
- add doc subpackage
- bump major
- new release

* Thu Feb 06 2014 tv <tv> 0.0.4-1.mga5
+ Revision: 584687
- BR libetonyek-devel
- new release

* Sat Oct 19 2013 umeabot <umeabot> 0.0.2-4.mga4
+ Revision: 530976
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 fwang <fwang> 0.0.2-3.mga4
+ Revision: 461431
- bump rel
- fix macro usage

* Sat May 25 2013 tv <tv> 0.0.2-2.mga4
+ Revision: 426967
- add devel provides

* Sat May 25 2013 tv <tv> 0.0.2-1.mga4
+ Revision: 426956
- imported package libodfgen

